package glyph;

import java.awt.Color;

/**
 * Insert the type's description here.
 * Creation date: (07/08/2002 14:52:09)
 * @author: 
 */
public abstract class DrawContext {
/**
 * DrawContext constructor comment.
 */
public DrawContext() {
	super();
}
	/**
	 * lines are always drawn in black
	 */
	abstract void drawLine(int x1, int y1, int x2, int y2);
	abstract void drawPolygon(int[] x, int[] y, int nPoints, Color border, Color fill);
	void drawRect(int x1, int y1, int width, int height, Color border, Color fill) {
		int[] xx = new int[]{x1,x1,x1+width,x1+width};
		int[] yy = new int[]{y1,y1+height,y1+height,y1};
		drawPolygon(xx,yy,4,border,fill);
	}
	/**
	 * text is always drawn in black
	 */
	abstract void drawString(String text, int x, int y);

	/**
	 * lines are always drawn in black
	 */
	abstract void drawDottedLine(int x1, int y1, int x2, int y2);
}
