package glyph.xml;

/*------------------------------------------------------------------------------
 * Licensed Materials - Property of IBM                                        
 *  "Restricted Materials of IBM"                                               
 *  WebSphere MQ Everyplace for Multiplatforms: MQeDesigner                                                                    
 *                                                                              
 *  (C) Copyright IBM Corp. 2002  All Rights Reserved.                    
 *                                                                              
 *  US Government Users Restricted Rights - Use, duplication or                 
 *  disclosure restricted by GSA ADP Schedule Contract with                     
 *  IBM Corp.                                                                   
 *------------------------------------------------------------------------------*/

public abstract class AbstractElement {
/**
 * AbstractElement constructor comment.
 */
public AbstractElement() {
	super();
}
public abstract void addChild(Element tag) ;
public abstract void getAbsoluteReference(StringBuffer buf, boolean longForm);
public final String getAbsoluteReference(boolean longForm) {
	StringBuffer buf = new StringBuffer();
	getAbsoluteReference(buf, longForm);
	return buf.toString();
}
public abstract Document getDocument() ;
public abstract AbstractElement getParentElement() ;
public boolean isDocument() {
	return false;
}
public boolean isElement() {
	return false;
}
}
