package glyph.xml;

/*------------------------------------------------------------------------------
 * Licensed Materials - Property of IBM                                        
 *  "Restricted Materials of IBM"                                               
 *  WebSphere MQ Everyplace for Multiplatforms: MQeDesigner                                                                    
 *                                                                              
 *  (C) Copyright IBM Corp. 2002  All Rights Reserved.                    
 *                                                                              
 *  US Government Users Restricted Rights - Use, duplication or                 
 *  disclosure restricted by GSA ADP Schedule Contract with                     
 *  IBM Corp.                                                                   
 *------------------------------------------------------------------------------*/

public final class Document extends AbstractElement {
	private Element documentNode;
	private String name;
/**
 * Parser constructor comment.
 */
public Document() {
	super();
}
/**
 * appendChild method comment.
 */
public void addChild(Element newChild) {
	documentNode = newChild;
}
/**
 * appendChild method comment.
 */
public Element appendChild(Element newChild) {
	documentNode = newChild;
	newChild.setParentElement(this);
	return newChild;
}
/**
 * createElement method comment.
 */
public Element createElement(String tagName) {
	return new Element(this, tagName);
}
public void getAbsoluteReference(StringBuffer buf, boolean longForm) {
	if (null != name) {
		buf.append(name);
		buf.append("#");
	}
}
public Document getDocument() {
	return this;
}
/**
 * getDocumentElement method comment.
 */
public Element getDocumentElement() {
	return documentNode;
}
public final AbstractElement getParentElement() {
	return null;
}
public final boolean isDocument() {
	return true;
}
public final void setName(String name) {
	this.name = name;
}
}
