package designer.model;

/*------------------------------------------------------------------------------
 * Licensed Materials - Property of IBM                                        
 *  "Restricted Materials of IBM"                                               
 *  WebSphere MQ Everyplace for Multiplatforms: MQeDesigner                                                                    
 *                                                                              
 *  (C) Copyright IBM Corp. 2002  All Rights Reserved.                    
 *                                                                              
 *  US Government Users Restricted Rights - Use, duplication or                 
 *  disclosure restricted by GSA ADP Schedule Contract with                     
 *  IBM Corp.                                                                   
 *------------------------------------------------------------------------------*/

public abstract class MQOwnedResource extends MQResource {
	private MQQueueManager owner;
/**
 * Insert the method's description here.
 * Creation date: (26/10/2001 13:47:06)
 * @param queueManager designer.model.MQQueueManager
 */
public MQOwnedResource(MQQueueManager queueManager) {
	super();
	owner = queueManager;
}
/**
 * reply the model to which the receiver belongs
 */
protected final MQeModel getModel() {
	return owner.getModel();
}
public MQQueueManager getOwner() {
	return owner;
}
public Model getParent() {
	return owner;
}
}
